PSYCLE's home     
     since may 2000
  news / home  files songs boards links all registered members about psycledelics Statistics    
╗ Welcome to -psycledelics-. If this is your 1st visit please read the FAQ - Frequently Asked Questions You must register before you can post here: Please click above on Registration to register yourself. You do not need to register if you only want to read Threads.
Login with Username & Password:

Remember me on this PC.
-psycledelics-DiscussionsTECH BOARD ╗ Is anyone else having trouble with VST installations
« Previous Thread Next Thread » Show a Printable Version  Send this to a Friend  Add to Favorites
Thread closed
Author
Post
rompy
Psycler



Date Registered:
05.2009
Location:

Posts: 18


rompy ist offline
  Is anyone else having trouble with VST installations        Go on top to this Page

Hi,

I have the newest version of Psycle, and am finally getting it.
I was able to learn about trackers, watching video's and I'd apply what I could to psycle, then work out the diffences such as looping segments for autioning beats and doing the offsets and such.
I hope to get some knowledge and perhaps do some psycle drum tutorials for breakcore, which is what I'm trying to learn.

Anyways,
Is anyone else having trouble installing their VST's.
All of mine show come up on the settings as failed.

Is there a work around.
I still have Vista in my only 64 bit system PC, and haven't tried them my old XP system, i have old psycle installed there.

But I want to keep using this pc because it's my newest. (3 years old.)

BUt like I said I have Vista 64 bit.

02.03.2012, 08:10 Profile of rompy Add rompy to your Buddy-List Email to rompy
[JAZ]
Psycle Developer



Date Registered:
11.2001
Location:
Balaguer (Spain)
Posts: 1301


[JAZ] ist offline
         Go on top to this Page

I believe you have one of the two things mentioned in the FAQ:

Q) I've put my xxx VST plugin in the "plugins" dir and Psycle doesn't show it!

A) Psycle uses a different paths for Native plugins and VST plugins. By default, Native Plugins go
under "Plugins\" and VST's go under "Vst\". If you want to change it, go to Configure-Settings,
select the "Directories" tab, and select your VST plugins' dir.


Q) What is the difference between the 32bits and 64bits builds, and what implications
does it have when using VST plugins?

A) The 64bits version of Psycle is made for users of the 64bits of Windows. Both the 32 and 64bits
can be used in these OSs, but there is a restriction: The 64bits version can only load 64bit
versions of VST plugins and the 32bits can only load 32bit versions of them.

If you use a VST bit bridging, like jBridge ( http://jstuff.wordpress.com/jbridge/ ),
then that software can allow to use 32bits on 64bit version and 64bit on 32bit version.
Remember to activate the support in Psycle Directories settings.


__________________
<[JAZ]> Pa pi pa pa pa pi pa.... ;ĚD

02.03.2012, 20:14 Profile of [JAZ] Add [JAZ] to your Buddy-List
rompy
Psycler



Date Registered:
05.2009
Location:

Posts: 18


rompy ist offline
       Go on top to this Page

Many Thanks,
I'll try installing that jBridge thing.
I had it checked in settings, but didn't really know what is was.

03.03.2012, 00:21 Profile of rompy Add rompy to your Buddy-List Email to rompy
Squiffy
Psycler



Date Registered:
03.2012
Location:

Posts: 2


Squiffy ist offline
         Go on top to this Page

I find that even if I download the 32 bit version on my 64 bit Windows 7 system, I still cannot load 32 bit plugins. I have to go back to an old version from 2009.

It's really a shame --- I love Psycle and I really appreciate all the work everyone's done on it; but basically I can't use the newest versions! I don't want to buy jBridge; I'd buy a sequencer if I was going to pay for stuff .....

09.03.2012, 20:52 Profile of Squiffy Add Squiffy to your Buddy-List Email to Squiffy
[JAZ]
Psycle Developer



Date Registered:
11.2001
Location:
Balaguer (Spain)
Posts: 1301


[JAZ] ist offline
         Go on top to this Page

Squiffy, a bridge is not necessary to use Psycle at all.

The 32bits version is equivalent to the older versions, only the 64bits is more problematic without a bridge (since most VSTs are 32bits).

Said that, I think you might have a directory misconfiguration. New Psycle saves the settings in a different place, so it will not be using your older settings. (It only reads them the first time if it doesn't find its own).

As such, I believe you might have the settings of the 64bit version in the settings of the (new) 32bit one.

Once you check the directory in the settings, directories tab (do not enable bridging and fill only the 32bit vst directory), click "regenerate cache" in the add new machine dialog.


__________________
<[JAZ]> Pa pi pa pa pa pi pa.... ;ĚD

10.03.2012, 10:20 Profile of [JAZ] Add [JAZ] to your Buddy-List
Squiffy
Psycler



Date Registered:
03.2012
Location:

Posts: 2


Squiffy ist offline
         Go on top to this Page

Many thanks JAZ ... I forgot I posted this, but I'm using 32-bit Psycle now on my new 64-bit Windows machine and it works fine!!!

Thankyou so much to you and everyone who has developed this fantastic piece of software.

04.05.2012, 17:50 Profile of Squiffy Add Squiffy to your Buddy-List Email to Squiffy
markcyrus
Psycler



Date Registered:
05.2012
Location:

Posts: 1


markcyrus ist offline
         Go on top to this Page

I am still facing the same problem and still looking for the solution to it so that it can work well.


__________________
motorcycle shipping

22.05.2012, 07:37 Profile of markcyrus Add markcyrus to your Buddy-List Email to markcyrus
[JAZ]
Psycle Developer



Date Registered:
11.2001
Location:
Balaguer (Spain)
Posts: 1301


[JAZ] ist offline
         Go on top to this Page

mark, please, explain your problem with more detail.

The problem described in this post was caused by using the wrong version of Psycle.

In Windows, the 64bit version of the operating system can run both, 32bit and 64bit software. The problem is that a 32bit dll (plugin, or VST in our case), can only work with the 32bit version of the host.

So, the correct setup is usually having the 32bit version of Psycle with 32bit versions of VSTs (many developers have already released 64bit versions, so this depends on the VSTs you use), configure the directory correctly in the settings dialog, and regenerate the plugin cache.


__________________
<[JAZ]> Pa pi pa pa pa pi pa.... ;ĚD

22.05.2012, 20:19 Profile of [JAZ] Add [JAZ] to your Buddy-List
Shiru
Psycler



Date Registered:
04.2012
Location:

Posts: 12


Shiru ist offline
         Go on top to this Page

Isn't it was a spambot?

23.05.2012, 01:50 Profile of Shiru Add Shiru to your Buddy-List Email to Shiru
  « Previous Thread Next Thread »
Thread closed
Jump to:

© 2002-2007 psycledelics | Powered by Woltlab Burning Board v1 Beta4.5e ©2001 Woltlab GbR|Setup & mod for psycledelics by: SAS